Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class InstanceID

    java.lang.Object
      org.eclipse.birt.report.engine.api.InstanceID

    public class InstanceID

extends java.lang.Object

a class that wraps around an identifier for a report element instance

Field Summary
`protected DataID` | `dataId`
`protected long` | `designId`
`protected InstanceID` | `parentId`
`protected long` | `uid`

Constructor Summary
`InstanceID(InstanceID parent, InstanceID iid)`
`InstanceID(InstanceID parent, long designId, DataID dataId)` Constructor.
`InstanceID(InstanceID parent, long uid, long designId, DataID dataId)` Constructor.

Method Summary
`protected void` | `append(java.lang.StringBuffer buffer)` Append unique id, designId, dataId to buffer.
`protected void` | `appendUniqueID(java.lang.StringBuffer buffer)` Append uniqueID to buffer.
`long` | `getComponentID()` returns the component id of the element
`DataID` | `getDataID()` Get data id of the element.
`InstanceID` | `getParentID()` Get parent id of this report element instance.
`long` | `getUniqueID()` Get unique id of this report element instance.
`static InstanceID` | `parse(char[] buffer, int offset, int length)` Parse the input char buffer into an InstanceId object.
`static InstanceID` | `parse(java.lang.String instanceId)` Parse the input string into an InstanceId object.
`java.lang.String` | `toString()`
`java.lang.String` | `toUniqueString()` Returns a string representation of the uniqueID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### parentId

    protected InstanceID parentId

### uid

    protected long uid

### designId

    protected long designId

### dataId

    protected DataID dataId

Constructor Detail

### InstanceID

    public InstanceID(InstanceID parent,
                      long designId,
                      DataID dataId)

  Constructor.

  Parameters:
    `parent` - instance id of parent
    `designId` - design id
    `dataId` - data id

### InstanceID

    public InstanceID(InstanceID parent,
                      InstanceID iid)

### InstanceID

    public InstanceID(InstanceID parent,
                      long uid,
                      long designId,
                      DataID dataId)

  Constructor.

  Parameters:
    `parent` - instance id of parent
    `uid` -
    `designId` -
    `dataId` -

Method Detail

### getParentID

    public InstanceID getParentID()

  Get parent id of this report element instance.

  Returns:
    parentId

### getUniqueID

    public long getUniqueID()

  Get unique id of this report element instance.

  Returns:
    unique id

### getComponentID

    public long getComponentID()

  returns the component id of the element

### getDataID

    public DataID getDataID()

  Get data id of the element.

  Returns:
    dataId

### append

    protected void append(java.lang.StringBuffer buffer)

  Append unique id, designId, dataId to buffer.

  Parameters:
    `buffer` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### appendUniqueID

    protected void appendUniqueID(java.lang.StringBuffer buffer)

  Append uniqueID to buffer.

  Parameters:
    `buffer` -

### toUniqueString

    public java.lang.String toUniqueString()

  Returns a string representation of the uniqueID.

  Returns:

### parse

    public static InstanceID parse(java.lang.String instanceId)

  Parse the input string into an InstanceId object.

  Parameters:
    `instanceId` - the input string to parse
  Returns:
    InstantceID object

### parse

    public static InstanceID parse(char[] buffer,
                                   int offset,
                                   int length)

  Parse the input char buffer into an InstanceId object.

  Parameters:
    `buffer` - the input char buffer to parse
    `offset` - offset of the buffer
    `length` - length of the buffer
  Returns:
    InstanceID object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.